#
# spec file for package python-virtue
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-virtue
Version:        2023.8.2
Release:        1.4
Summary:        After trial comes virtue. A test runner for good
License:        MIT
URL:            https://github.com/Julian/Virtue
Source:         https://files.pythonhosted.org/packages/source/v/virtue/virtue-%{version}.tar.gz
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module attrs >= 19}
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module colorama}
BuildRequires:  %{python_module pyrsistent}
# /SECTION
Requires(post): update-alternatives
Requires(postun):update-alternatives
Requires:       python-Twisted
Requires:       python-attrs >= 19
Requires:       python-click
Requires:       python-colorama
Requires:       python-pyrsistent
Suggests:       python-importlib_metadata
Suggests:       python-pkgutil_resolve_name >= 1.3.10
BuildArch:      noarch
%python_subpackages

%description
After trial comes virtue. A test runner for good.

%prep
%setup -q -n virtue-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/virtue
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative virtue

%postun
%python_uninstall_alternative virtue

%files %{python_files}
%doc README.rst
%license COPYING
%python_alternative %{_bindir}/virtue
%{python_sitelib}/virtue
%{python_sitelib}/virtue-%{version}.dist-info/

%changelog
* Wed Sep  6 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 2023.8.2:
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.08.1...v2023.08.2
* Wed Sep  6 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 2023.8.1:
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.07.5...v2023.08.1
* Tue Aug  1 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 2023.7.5:
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.07.4...v2023.07.5
* Tue Jul 18 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 2023.7.4:
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.07.2...v2023.07.4
- skipping non-existent release 2023.7.3
* Wed Jul 12 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 2023.7.2:
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.07.1...v2023.07.2
- update to 2023.7.1:
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.05.3...v2023.07.1
* Thu Jun  1 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 2023.5.3 (new version naming scheme):
  no changelog available, diff here:
  https://github.com/Julian/Virtue/compare/v2023.05.2...v2023.05.3
* Fri May  5 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Fri Mar 24 2023 Johannes Kastl <kastl@b1-systems.de>
- new package virtue, needed for tests in python-jsonschema
